Ir al contenido

database_api.list_decline_voting_rights_requests ​

since HF14

Purpose ​

Devuelve una lista de solicitudes de renuncia a los derechos de voto (decline voting rights). Parámetros: start:object; limit:int; order:string

  • start depende de order (ver más abajo)
  • limit es hasta 1000.
  • order puede ser uno de:
    • by_account - ordenar por cuenta
      • start es una cadena: account
    • by_effective_date - ordenar por fecha de entrada en vigor
      • start es un array de dos valores: timestamp, account

| start (object) | limit (int) | order (string) | | |----------------------------|---------------|-| | "" | 10 | "by_account" | Consulta las primeras 10 solicitudes, ordenadas por cuenta | | ["1960-01-01T00:00:00", ""] | 10 | "by_effective_date" | Consulta las primeras 10 solicitudes, ordenadas por fecha de entrada en vigor |

Véase también: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_decline_voting_rights_requests",
    "params": {
      "start": "",
      "limit": 10,
      "order": "by_account"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_decline_voting_rights_requests",
    "params": {
      "start": [
        "1970-01-01T00:00:00",
        "",
        ""
      ],
      "limit": 10,
      "order": "by_effective_date"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "requests": []
}